> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve

> Retrieve a single contract by ID



## OpenAPI

````yaml /openapi/workforce-management.yaml get /v1/contracts/{contractId}
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/contracts/{contractId}:
    get:
      tags:
        - Contracts
      summary: Retrieve
      description: Retrieve a single contract by ID
      operationId: retrieveContract
      parameters:
        - $ref: '#/components/parameters/contractId'
        - name: includeDownloadUrl
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: >-
            When true, includes a presigned download URL for the contract PDF
            (valid for 15 minutes)
        - $ref: '#/components/parameters/XMultiTenantKey'
      responses:
        '200':
          description: retrieve contract response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/contract'
                  - type: object
                    properties:
                      downloadUrl:
                        type: string
                        description: >-
                          Presigned S3 download URL for the contract PDF. Only
                          included when includeDownloadUrl=true.
                        example: >-
                          https://storage.example.com/contracts/d52e4a13-7b6f-4c8d-a9e1-2f3b5c7d8e9a.pdf?token=abc123&expires=900
                      downloadUrlExpiresAt:
                        type: integer
                        description: >-
                          Epoch timestamp when the download URL expires. Only
                          included when includeDownloadUrl=true.
                        example: 1689760750
        '404':
          $ref: '#/components/responses/NotFoundError'
      security:
        - Authorization: []
components:
  parameters:
    contractId:
      name: contractId
      in: path
      description: The unique identifier for the the contract
      required: true
      schema:
        type: string
        format: uuid
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  schemas:
    contract:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        templateId:
          $ref: '#/components/schemas/uuid'
        status:
          type: string
          example: completed
        personId:
          $ref: '#/components/schemas/uuid'
        name:
          type: string
          example: Edward Petersen - Standard Global Contractor Agreement
        signatures:
          type: array
          items:
            $ref: '#/components/schemas/contractSignature'
        createdAt:
          type: integer
          example: 1689759850
        customContractAttached:
          type: boolean
          example: false
    uuid:
      type: string
      format: uuid
      example: 8ef9a712-cdae-4110-b1ea-9ba95abbee6e
    contractSignature:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        emailAddress:
          type: string
          example: signer@example.com
        name:
          type: string
          example: John Doe
        order:
          type: integer
          example: 0
        status:
          type: string
          example: signed
        signedAt:
          type: integer
          example: 1689759850
        lastViewedAt:
          type: integer
          example: 1689759850
    NotFoundError:
      description: Not Found
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: resource_not_found
        message: Requested resource could not be found.
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  responses:
    NotFoundError:
      description: Requested resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFoundError'
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````